summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Fernando Lopez Jr2021-02-06 01:17:09 +0100
committer Willy Sudiarto Raharjo2021-02-06 19:39:51 +0100
commit35ce44a2c73eb37d7c57306d7f6717042b0aef5d (patch)
treea0f4117194d521d9a9fe5602a4b0279d6942fe3c /graphics
parent2157451c7ae34d7e088565940f7b6f3fa9b78ffc (diff)
downloadslackbuilds-35ce44a2c73eb37d7c57306d7f6717042b0aef5d.tar.gz
graphics/openscad-mcad: Added (Parametric CAD Library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/openscad-mcad/README9
-rw-r--r--graphics/openscad-mcad/openscad-mcad.SlackBuild106
-rw-r--r--graphics/openscad-mcad/openscad-mcad.info10
-rw-r--r--graphics/openscad-mcad/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/graphics/openscad-mcad/README b/graphics/openscad-mcad/README
new file mode 100644
index 0000000000..cce08e8586
--- /dev/null
+++ b/graphics/openscad-mcad/README
@@ -0,0 +1,9 @@
+This library contains components commonly used in designing and
+mocking up mechanical designs. It is currently unfinished and you
+can expect some API changes, however many things are already working.
+
+This library was created by various authors as named in the
+individual files' comments. All the files are licensed under
+the LGPL 2.1 (see http://creativecommons.org/licenses/LGPL/2.1/
+or the included file lgpl-2.1.txt), some of them allow distribution
+under more permissive terms (as described in the files' comments).
diff --git a/graphics/openscad-mcad/openscad-mcad.SlackBuild b/graphics/openscad-mcad/openscad-mcad.SlackBuild
new file mode 100644
index 0000000000..2834c0043d
--- /dev/null
+++ b/graphics/openscad-mcad/openscad-mcad.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for openscad-mcad
+
+# Copyright 2020 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openscad-mcad
+COMVER=1ea402208c3127ffb443931e9bb1681c191dacca
+VERSION=${VERSION:-2020.10.09.$( printf %s $COMVER | cut -c1-7 )}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf MCAD-$COMVER
+tar xvf $CWD/$PRGNAM-$COMVER.tar.?z
+cd MCAD-$COMVER
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/openscad/libraries/MCAD/bitmap
+
+install -m775 2Dshapes.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 3d_triangle.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 array.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bearing.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/alphabet_block.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/bitmap.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/height_map.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/letter_necklace.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/name_tag.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 bitmap/test_name_tag.scad $PKG/usr/share/openscad/libraries/MCAD/bitmap
+install -m775 boxes.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 constants.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 curves.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 fonts.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 gears.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 gridbeam.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 hardware.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 involute_gears.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 layouts.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 lego_compatibility.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 libtriangles.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 linear_bearing.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 materials.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 math.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 metric_fastners.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 motors.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 multiply.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 nuts_and_bolts.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 polyholes.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 profiles.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 regular_shapes.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 screw.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 servos.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 shapes.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 stepper.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 teardrop.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 transformations.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 triangles.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 trochoids.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 units.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 unregular_shapes.scad $PKG/usr/share/openscad/libraries/MCAD/
+install -m775 utilities.scad $PKG/usr/share/openscad/libraries/MCAD/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a bitmap/README TODO README.markdown lgpl-2.1.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/openscad-mcad/openscad-mcad.info b/graphics/openscad-mcad/openscad-mcad.info
new file mode 100644
index 0000000000..748d96be6c
--- /dev/null
+++ b/graphics/openscad-mcad/openscad-mcad.info
@@ -0,0 +1,10 @@
+PRGNAM="openscad-mcad"
+VERSION="2020.10.09.1ea4022"
+HOMEPAGE="https://github.com/openscad/MCAD"
+DOWNLOAD="https://github.com/openscad/MCAD/archive/1ea402208c3127ffb443931e9bb1681c191dacca/openscad-mcad-1ea402208c3127ffb443931e9bb1681c191dacca.tar.gz"
+MD5SUM="a86572e744abff686ee146274eda87f4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/graphics/openscad-mcad/slack-desc b/graphics/openscad-mcad/slack-desc
new file mode 100644
index 0000000000..6ce7b6f630
--- /dev/null
+++ b/graphics/openscad-mcad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openscad-mcad: openscad-mcad (Parametric CAD Library)
+openscad-mcad:
+openscad-mcad: This library contains components commonly used in designing and
+openscad-mcad: mocking up mechanical designs. It is currently unfinished and you
+openscad-mcad: can expect some API changes, however many things are already working.
+openscad-mcad:
+openscad-mcad: Homepage: https://github.com/openscad/MCAD/
+openscad-mcad:
+openscad-mcad:
+openscad-mcad:
+openscad-mcad: